#!/bin/sh
#/****************************************************************************
# *
# * Licensed Materials - Property of IBM
# *
# * Source File Name = UpgradeAccountStatus.sh
# *
# * (C) COPYRIGHT IBM Corp. 2006 All Rights Reserved
# *
# * US Government Users Restricted Rights - Use, duplication or
# * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# *
# *****************************************************************************/
# This script is used to initialize 'eraccountstatus' attribute of all active accounts
# to the default active status value 0.
#
# Set ITIM_HOME to the complete path of your ITIM installation directory.
# and set APP_SRV_HOME to point to the complete path of your WebSphere 
# Application server.
#

ITIM_HOME=/opt/IBM/itim

APP_SRV_HOME=/opt/WebSphere/AppServer

JAVA=$APP_SRV_HOME/java/jre/bin/java

CLASSPATH=.;$JAVA_HOME/jre/lib/rt.jar
CLASSPATH=$CLASSPATH:$ITIM_HOME/lib/jlog.jar
CLASSPATH=$CLASSPATH:$ITIM_HOME/lib/aspectjrt.jar
CLASSPATH=$CLASSPATH:$ITIM_HOME/lib/itim_api.jar
CLASSPATH=$CLASSPATH:$ITIM_HOME/lib/itim_server.jar
CLASSPATH=$CLASSPATH:$ITIM_HOME/data

OPTS="-ms256m -mx512m"

export OPTS

$JAVA $OPTS -classpath $CLASSPATH UpgradeAccountStatus

